VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
ProgramList Class Reference
VST Implementation Helper Classes

ProgramList element. More...

`#include <vsteditcontroller.h>`

Inheritance diagram for ProgramList:

## Public Types
using | StringVector = (ProgramList, FObject) protected std::vector< std::u16string >
using | ProgramInfoVector = std::vector< StringMap >

## Public Member Functions
| ProgramList (const String128 name, ProgramListID listId, UnitID unitId)
| ProgramList (const ProgramList &programList)
const ProgramListInfo & | getInfo () const
ProgramListID | getID () const
const TChar * | getName () const
int32 | getCount () const
virtual tresult | getProgramName (int32 programIndex, String128 name)
virtual tresult | setProgramName (int32 programIndex, const String128 name)
virtual tresult | getProgramInfo (int32 programIndex, CString attributeId, String128 value)
virtual tresult | hasPitchNames (int32 programIndex)
virtual tresult | getPitchName (int32 programIndex, int16 midiPitch, String128 name)
virtual int32 | addProgram (const String128 name)
| Adds a program to the end of the list.
virtual bool | setProgramInfo (int32 programIndex, CString attributeId, const String128 value)
| Sets a program attribute value.
virtual Parameter * | getParameter ()
| Creates and returns the program parameter.

## Public Attributes
ProgramListInfo | info
UnitID | unitId
StringVector | programNames
ProgramInfoVector | programInfos
Parameter * | parameter

## Detailed Description

ProgramList element.

## Member Typedef Documentation

using StringVector = (ProgramList, FObject) protected std::vector<std::u16string>

using ProgramInfoVector = std::vector<StringMap>

## Constructor & Destructor Documentation

ProgramList | ( | const String128 | name,
|  | ProgramListID | listId,
|  | UnitID | unitId
| ) |  |

ProgramList | ( | const ProgramList & | programList | ) |

## Member Function Documentation

const ProgramListInfo& getInfo | ( |  | ) | const
| inline

ProgramListID getID | ( |  | ) | const
| inline

const TChar* getName | ( |  | ) | const
| inline

int32 getCount | ( |  | ) | const
| inline

tresult getProgramName | ( | int32 | programIndex,
|  | String128 | name
| ) |  |
| virtual

tresult setProgramName | ( | int32 | programIndex,
|  | const String128 | name
| ) |  |
| virtual

tresult getProgramInfo | ( | int32 | programIndex,
|  | CString | attributeId,
|  | String128 | value
| ) |  |
| virtual

virtual tresult hasPitchNames | ( | int32 | programIndex | ) |
| inline virtual

Reimplemented in ProgramListWithPitchNames.

virtual tresult getPitchName | ( | int32 | programIndex,
|  | int16 | midiPitch,
|  | String128 | name
| ) |  |
| inline virtual

Reimplemented in ProgramListWithPitchNames.

int32 addProgram | ( | const String128 | name | ) |
| virtual

Adds a program to the end of the list.

returns the index of the program.

Reimplemented in ProgramListWithPitchNames.

bool setProgramInfo | ( | int32 | programIndex,
|  | CString | attributeId,
|  | const String128 | value
| ) |  |
| virtual

Sets a program attribute value.

Parameter * getParameter | ( |  | ) |
| virtual

Creates and returns the program parameter.

## Member Data Documentation

ProgramListInfo info

UnitID unitId

StringVector programNames

ProgramInfoVector programInfos

Parameter* parameter

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.